<!doctype html>
<html>

	<head>

		<title>DashGL | OpenGL Tutorials</title>

		<meta charset="utf-8"/>
		<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no"/>
		<meta name="description" content="Tutortials for Linux programming using EGL, C, and OpenGL"/>
		<meta name="keywords" content="Linux,C,OpenGL,Tutorial,EGL,Raspberry Pi"/>
		<meta name="author" content="Benjamin Collins - Kion"/>

		<link rel="shortcut icon" type="image/png" href="../../img/favicon.png"/>
		<link rel="stylesheet" type="text/css" href="../../css/layout.css"/>
		<link rel="stylesheet" type="text/css" href="../../css/responsive.css"/>

	</head>

	<body>
			
			<header>
				
				<div class="align">

				<table id="Navbar.table">
					<tr>
						<td class="title">
							<h1>
								<img src="../../img/Logo&#32;Transparency.png"/>
							</h1>
						</td>
						<td></td>
						<!--
						<td class="link">
							<a href="/basics/">
								<div class="img basics"></div>
								Basics
							</a>
						</td>
						<td class="link">
							<a href="/brickout/">
								<div class="img"></div>
								Brickout
							</a>
						</td>
						<td class="link">
							<a href="/invaders/">
								<div class="img"></div>
								Invaders
							</a>
						</td>
						<td class="link">
							<a href="/astroids/">
								<div class="img"></div>
								Astroids
							</a>
						</td>
						-->
						<td class="icon menu">
							<img src="https://dashgl.com/basics/texture/img/menu_icon.png"/>
						</td>
					</tr>
				</table>

				</div>

			</header>

			<div id="MobileNav.toggle" class="mobile-nav astroids">

				<h2 id="MobileNav.header">Contents</h2>

				<ul id="MobileNav.content">

					<li class="on">Article 01</li>
					<li class="on">Article 02</li>
					<li class="on active">Article 03</li>
					<li>Article 04</li>
					<li>Article 05</li>
					<li>Article 06</li>

				</ul>

			</div>

			<section>

				<menu>
					<div class="header">Table of Contents</div>
					<img src="../../img/others_20171117_dashgl_dash_cropped_icon_eee.png"/>
					
		<a href='../forward/index.html'>
			<li>
				Forward
			</li>
		</a>
	
		<a href='../triangle/index.html'>
			<li>
				Blue Triangle
			</li>
		</a>
	
		<a href='../square/index.html'>
			<li>
				Red Square
			</li>
		</a>
	
		<a href='../circle/index.html'>
			<li>
				Green Circle
			</li>
		</a>
	
		<a href='../color/index.html'>
			<li>
				Fragment Color
			</li>
		</a>
	
		<a href='../multiple/index.html'>
			<li>
				Multiple Shapes
			</li>
		</a>
	
		<a href='../fade/index.html'>
			<li>
				Fade In and Out
			</li>
		</a>
	
		<a href='../transform/index.html'>
			<li>
				Transform Triangle
			</li>
		</a>
	
		<a href='../cube/index.html'>
			<li>
				Draw a Cube
			</li>
		</a>
	
		<a href='index.html'>
			<li class='active'>
				Textured Cube
			</li>
		</a>
	
		<a href='../dashie/index.html'>
			<li>
				Render Model
			</li>
		</a>
	
					<div class="footer"></div>
				</menu>

				<article>
					
					<div class="header">Article Contents</div>

					<div class="content" id="NavBar.content.body">

						<table class="summary">
<tr>
<td class="title">
<h2>Textured Cube</h3>
<li>Created on: June 8, 2020</li>
<li>By: Kion</li>
</td>
<td class="code">

    <a href="https://gitlab.com/dashgl/dashie/-/tree/master/09_texture_cube" target="_blank">
        <div class="icon"></div>
        View code on Gitlab
    </a>

</td>
</tr>
</table>

<h3>Summary</h3>

<p>
Now that we can draw a cube, the next logical step is to apply a texture and make our
cube into a box. In this article we apply (diffuse) uv coordinates to the cube and
change the rotation to rotate across more axis. The resut of this article is shown
below.
</p>

<video controls class="fig">
	<source type="video/mp4" src="../../img/NO1RCdKbgJHJUkzh.mp4"/>
</video>


					</div>

					<div class="footer"></div>

				</article>

				<div class="line"></div>

			</section>

			<footer>

				<div class="align">

					<!--

					<ul>
						<h5>Tutorials</h5>
						<li>
							<a href="/basics/">Basics</a>
						</li>
						<li>
							<a href="/brickout/">Brickout</a>
						</li>
						<li>
							<a href="/invaders/">Invaders</a>
						</li>
						<li>
							<a href="/astroids/">Astroids</a>
						</li>
					</ul>

					<ul>
						<h5>Information</h5>
						<li>
							<a href="/info/about/">About</a>
						</li>
						<li>
							<a href="/info/mascot/">Mascot</a>
						</li>
						<li>
							<a href="/info/resources/">Resources</a>
						</li>
						<li>
							<a href="/info/contribute/">Contribute</a>
						</li>
					</ul>

					<ul>
						<h5>Sites</h5>
						<li>
							<a href="https://gtk.dashgl.com">Gtk Tutorials</a></li>
						<li>
							<a href="https://blog.dashgl.com">DashGL Blog</a>
						</li>
						<li>
							<a href="https://gitlab.com/dashgl/format">Model Format</a>
						</li>
						<li>
							<a a href="https://mml.dashgl.com/">Rockman Dash</a>
						</li>
					</ul>


					<div class="social">
						<h5>&nbsp;</h5>
						<table>
							<tr>
								<td>
									<a href="https://www.youtube.com/channel/UCGGYpxGASdAOmSp36lhTiIw" target="_blank">
									<div class="parent">
										<div class="icon youtube">
										</div>
										<span>Youtube</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://twitter.com/kion_dgl" target="_blank">
									<div class="parent">
									<div class="icon twitter">
									</div>
										<span>Twitter</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://gitlab.com/kion-dgl" target="_blank">
									<div class="parent">
									<div class="icon gitlab">
									</div>
										<span>Gitlab</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://www.bitchute.com/channel/IWdMNKd3lZye/" target="_blank">
									<div class="parent">
									<div class="icon bitchute">
									</div>
										<span>Bitchute</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://en.liberapay.com/DashGLProject/" target="_blank">
									<div class="parent">
									<div class="icon liberapay">
									</div>
										<span>LiberaPay</span>
									</div>
									</a>
								</td>
							</tr>
							<tr>
								<td>
									<a href="https://linuxrocks.online/invite/tMcWZehg" target="_blank">
									<div class="parent">
									<div class="icon mastodon"></div>
									<span>Mastodon</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://www.minds.com/DashGL" target="_blank">
									<div class="parent">
									<div class="icon minds"></div>
									<span>Minds</span>
									</div>
								</td>
								<td>
									<a href="https://brave.com/download/" target="_blank">
									<div class="parent">
									<div class="icon bat"></div>
										<span>Brave</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://www.reddit.com/user/kion_dgl" target="_blank">
									<div class="parent">
									<div class="icon reddit"></div>
									<span>Reddit</span>
									</div>
									</a>
								</td>
								<td>
									<a href="https://gab.com/kion" target="_blank">
									<div class="parent">
									<div class="icon gab"></div>
									<span>Gab</span>
									</div>
									</a>
								</td>
							</tr>
						</table>

					</div>
					-->

				<div class="copyright">
					Copyright &copy; 2017-2020 DashGL Project
				</div>

				</div>

			</footer>

		</main>

	</body>

</html>
